Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.ciphers
Class AceF2

    java.lang.Object
      com.rsa.authagent.authapi.ciphers.AceF2

    public class AceF2

extends java.lang.Object

Field Summary
`static int` | `UTIL_HASH` Hash algorithm.
`static int` | `WPCODE_HASH`

Constructor Summary
`AceF2(int iHashType)` Constructor for AceF2

Method Summary
`void` | `hash(byte[] out, byte[] in)` This is the core F2 ACE Hash function.
`byte[]` | `hash(int outLen, byte[] in)` This is a variant of the hash function which allocates and return the output buffer to the caller.
`void` | `setType(int iHashType)` Change the type of hash on the fly.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTIL_HASH

    public static final int UTIL_HASH

  Hash algorithm. It is really the number of rounds performed. The number of rounds in either the 'encryption' hashing or the WPCODE hashing. The selection of these values is steeped in mystery. They appear to be primarily easy to type.

  See Also:
    Constant Field Values

### WPCODE_HASH

    public static final int WPCODE_HASH

See Also:
  Constant Field Values

Constructor Detail

### AceF2

    public AceF2(int iHashType)

  Constructor for AceF2

  Parameters:
    `iHashType` - int The type of hash to use; equal to the number of rounds.

Method Detail

### setType

    public void setType(int iHashType)

  Change the type of hash on the fly.

  Parameters:
    `iHashType` - int The type of hash to use; equal to the number of rounds.

### hash

    public byte[] hash(int outLen,
                       byte[] in)
                throws java.security.GeneralSecurityException

  This is a variant of the hash function which allocates and return the output buffer to the caller.

  Parameters:
    `outLen` - int Length of the desired output.
    `in` - byte[] Input buffer.
  Returns:
    byte[] Output buffer.
  Throws:
    `java.security.GeneralSecurityException`

### hash

    public void hash(byte[] out,
                     byte[] in)
              throws java.security.GeneralSecurityException

  This is the core F2 ACE Hash function. It is passed the input and output buffers and the number of rounds that should be performed.

  This function is generally accessed by either sdi_utl_hash() or sdi_int_f2hash() methods.

  Parameters:
    `out` - Output byte buffer.
    `in` - Input byte buffer.
    `count` - The number of F2 rounds that should be performed.
  Throws:
    `AceF2Exception` - Is thrown for invalid parameters.
    `java.security.GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.